%define realname django-notification

Name:           python-django-notification
Version:        1.3.3
Release:        %mkrel 2
Summary:        User notification management for the Django web framework

Group:          Development/Python
License:        MIT
URL:            http://django-notification.rtfd.org/
Source0:        https://pypi.python.org/packages/source/d/django-notification/%{realname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel 
BuildRequires:  python-setuptools
BuildRequires:  python3-devel 
BuildRequires:  python3-setuptools

Requires:       python-django

%description
Many sites need to notify users when certain events have occurred and to
allow configurable options as to how those notifications are to be received.

The project aims to provide a Django app for this sort of functionality.
This includes:

    * submission of notification messages by other apps
    * notification messages on signing in
    * notification messages via email (configurable by user)
    * notification messages via feed

%package -n python3-django-notification
Summary:        User notification management for the Django web framework
Group:          Development/Python
Requires:       python3-django

%description -n python3-django-notification
Many sites need to notify users when certain events have occurred and to
allow configurable options as to how those notifications are to be received.

The project aims to provide a Django app for this sort of functionality.
This includes:

    * submission of notification messages by other apps
    * notification messages on signing in
    * notification messages via email (configurable by user)
    * notification messages via feed
This is a Python 3 build of django-notification.

%prep
%setup -q -n %{realname}-%{version}
# remove bundled egg-info
rm -rf django_notification.egg-info
find -name '._*' -exec rm {} \;

cp -a . %{py3dir}

%build
%py2_build
pushd %{py3dir}
%py3_build
popd

%install
%py2_install
pushd %{py3dir}
%py3_install
popd

%files
%doc AUTHORS README.rst docs/*.rst
%license LICENSE
%{python2_sitelib}/notification
%{python2_sitelib}/django_notification-%{version}-py?.?.egg-info

%files -n python3-django-notification
%doc AUTHORS README.rst docs/*.rst
%license LICENSE
%{python3_sitelib}/notification
%{python3_sitelib}/django_notification-%{version}-py?.?.egg-info



%changelog
* Sat Feb 20 2016 umeabot <umeabot> 1.3.3-2.mga6
+ Revision: 971237
- Mageia 6 Mass Rebuild

* Mon Oct 12 2015 philippem <philippem> 1.3.3-1.mga6
+ Revision: 890047
- update to 1.3.3, add Python3

* Wed Oct 15 2014 umeabot <umeabot> 0.2-8.mga5
+ Revision: 744796
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.2-7.mga5
+ Revision: 728287
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.2-6.mga5
+ Revision: 687984
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.2-4.mga4
+ Revision: 543362
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.2-3.mga4
+ Revision: 498374
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.2-2.mga3
+ Revision: 378684
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 philippem <philippem> 0.2-1.mga3
+ Revision: 334311
- Update to 0.2

* Thu Jan 27 2011 ahmad <ahmad> 0.1.5-2.mga1
+ Revision: 42383
- imported package python-django-notification


* Tue Nov 02 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.5-2mdv2011.0
+ Revision: 592232
- rebuild for python 2.7

* Sun Jan 10 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.5-1mdv2010.1
+ Revision: 489187
- update to new version 0.1.5

* Tue Jun 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.3-1mdv2010.0
+ Revision: 384247
- update to new version 0.1.3

* Fri Mar 06 2009 Jérôme Soyer <saispo@mandriva.org> 0.1.2-1mdv2009.1
+ Revision: 349662
- import python-django-notification


